/**
 * BasicApp.c - a very basic application using ROVLib
 */

/* Include 4 standard C header files */
#include <stdlib.h>
#include <string.h>
#include <stdio.h>
#include <ctype.h>

/* Include the RISC OS kernel header file */
#include "kernel.h"

/* Include the ROVLib header files */
#include "main.h"

int main(int argc, char **argv) {
  /* Initialise the ROVLib system */
  main_init("A basic application");

  /* Poll forever (or at least until told to quit!) */
  main_poll();
}
